<div class="place">
  <div class="filter">
    <smartsales-filter #filter></smartsales-filter>
  </div>
  <div class="table-place mat-elevation-z2">
    <table class="table mat-row-selectable" mat-table matSort utilRestGrid [settings]="settings" [filter]="filter" aria-describedby="">
      <ng-container matColumnDef="name">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>{{'COMPANY.GRID.NAME'|translate}}</th>
        <td mat-cell *matCellDef="let element">{{element.name}}</td>
      </ng-container>
      <ng-container matColumnDef="description">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>{{'COMPANY.GRID.DESCRIPTION'|translate}}</th>
        <td mat-cell *matCellDef="let element">{{element.description}}</td>
      </ng-container>
      <ng-container matColumnDef="isActive">
        <th mat-header-cell *matHeaderCellDef mat-sort-header>{{'COMPANY.GRID.IS-ACTIVE'|translate}}</th>
        <td mat-cell *matCellDef="let element">{{element.isActive}}</td>
      </ng-container>
      <tr mat-header-row *matHeaderRowDef="displayedColumns; sticky: true"></tr>
      <tr mat-row *matRowDef="let row; columns: displayedColumns;" (click)="open(row)">
    </table>
  </div>
</div>

